using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_5_5
{
  public partial class frmImage : Form
  {
    public frmImage()
    {
      InitializeComponent();
    }

    private void frmImage_Load(object sender, EventArgs e)
    {
      // initialize stretch mode
      rdoStretch.PerformClick();
    }

    private void drvImage_SelectedValueChanged(object sender, EventArgs e)
    {
      // If drive changes, update directory
      dirImage.Path = drvImage.Drive;
    }

    private void dirImage_Change(object sender, EventArgs e)
    {
      // If directory changes, update file path
      filImage.Path = dirImage.Path;
    }

    private void filImage_SelectedIndexChanged(object sender, EventArgs e)
    {
      // Get complete path to file name and open graphics
      string imageName;
      string imagePath = filImage.Path;
      if (imagePath[imagePath.Length - 1] == '\\')
      {
        imageName = imagePath + filImage.FileName;
      }
      else
      {
        imageName = imagePath + "\\" + filImage.FileName;
      }
      txtImage.Text = imageName;
      picImage.Image = Image.FromFile(imageName);
    }
    private void rdoNormal_CheckedChanged(object sender, EventArgs e)
    {
      picImage.SizeMode = PictureBoxSizeMode.Normal;
    }

    private void rdoCenter_CheckedChanged(object sender, EventArgs e)
    {
      picImage.SizeMode = PictureBoxSizeMode.CenterImage;
    }

    private void rdoStretch_CheckedChanged(object sender, EventArgs e)
    {
      picImage.SizeMode = PictureBoxSizeMode.StretchImage;
    }

    private void rdoZoom_CheckedChanged(object sender, EventArgs e)
    {
      picImage.SizeMode = PictureBoxSizeMode.Zoom;
    }

  }
}